com.io7m.r2.filters

## Enum R2FilterFogProgression

- java.lang.Object
- - java.lang.Enum<R2FilterFogProgression>
  - - com.io7m.r2.filters.R2FilterFogProgression

- All Implemented Interfaces:
    Serializable, Comparable<R2FilterFogProgression>

      public enum R2FilterFogProgression
      extends Enum<R2FilterFogProgression>

  The type of fog progression.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FOG_LINEAR` Fog progresses linearly.
    `FOG_QUADRATIC` Fog progresses quadratically.
    `FOG_QUADRATIC_INVERSE` Fog progresses inverse quadratically.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2FilterFogProgression` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static R2FilterFogProgression[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FOG_LINEAR

          public static final R2FilterFogProgression FOG_LINEAR

      Fog progresses linearly.

    - #### FOG_QUADRATIC

          public static final R2FilterFogProgression FOG_QUADRATIC

      Fog progresses quadratically.

    - #### FOG_QUADRATIC_INVERSE

          public static final R2FilterFogProgression FOG_QUADRATIC_INVERSE

      Fog progresses inverse quadratically.

  - ### Method Detail

    - #### values

          public static R2FilterFogProgression[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (R2FilterFogProgression c : R2FilterFogProgression.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static R2FilterFogProgression valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com